Bug 2069 - Problem with F1..F4 and xterm vs. nxterm / termcap and terminfo
Problem with F1..F4 and xterm vs. nxterm / termcap and terminfo
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: termcap (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-08 17:25 EDT by sdh4
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-09 11:16:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sdh4 1999-04-08 17:25:48 EDT
The xterm and nxterm programs under at least RH 5.1 and 5.2
use the SAME termcap entries but exhibit DIFFERENT
characteristics. To demonstrate, open an xterm and an
nxterm, and in each type 'cat >/dev/null' and then
press F1 through F8
then ctrl-c and do a 'printenv TERM'. The net result is that
any text-based program which uses function keys will fail
depending upon which type of xterm the end user is using. An
obvious solution is to have the nxterm use the 'nxterm'
terminal type, except this won't work properly because there
is no /etc/termcap entry for nxterm (there IS a terminfo
entry).
So the problems are:
  #1: xterm and nxterm behave differently but claim to be
the same
  #2: the terminfo database is inconsistent with the termcap
database

(Note: Modern xterm implementations such as Solaris seem to
be using the nxterm function key method. For maximum
interoperability with remote-logins it is best to at least
try to use the same conventions as everyone else)
Comment 1 Preston Brown 1999-04-09 11:16:59 EDT
nxterm has been dropped from the distribution in 5.9beta and later.
Modern xterms do everything that nxterm did and more.

Note You need to log in before you can comment on or make changes to this bug.